retrie-1.2.2: A powerful, easy-to-use codemodding tool for Haskell.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Retrie.Query

Synopsis

- data QuerySpec
  - = QExpr String
  - | QType String
  - | QStmt String
- parseQuerySpecs :: LibDir -> FixityEnv -> [(Quantifiers, QuerySpec, v)] -> IO [Query Universe v]
- genericQ :: Typeable a => Matcher v -> Context -> a -> TransformT IO [(Context, Substitution, v)]

# Documentation

data QuerySpec #

Specifies which parser to use in `parseQueries`.

Constructors

QExpr String |
QType String |
QStmt String |

parseQuerySpecs :: LibDir -> FixityEnv -> [(Quantifiers, QuerySpec, v)] -> IO [Query Universe v] #

genericQ :: Typeable a => Matcher v -> Context -> a -> TransformT IO [(Context, Substitution, v)] #